Skip to main content
GET
/
suppliers
/
{supplier_id}
/
purchase-orders
List Supplier Purchase Orders
curl --request GET \
  --url https://api.example.com/suppliers/{supplier_id}/purchase-orders
{
  "data": [
    {
      "id": "<string>",
      "documentId": "<string>",
      "orderDate": "<string>",
      "dueDate": "<string>",
      "status": "<string>",
      "total": 123,
      "currency": "<string>",
      "itemsCount": 0,
      "createdAt": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrev": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Org-Id
string | null

Path Parameters

supplier_id
string
required

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:12
Required range: 1 <= x <= 100
status
string | null
startDate
string<date> | null
endDate
string<date> | null
sort
string
default:-order_date

Response

Successful Response

data
SupplierPurchaseOrderRecord · object[]
required
pagination
PaginationInfo · object
required